%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major	0
%define api	3
%define gmajor	3.0
%define libname	%mklibname thunarx %{api} %{major}
%define girname %mklibname thunarx-gir %{gmajor}
%define devname	%mklibname thunarx -d


Summary:	New modern file manager for the Xfce Desktop Environment
Name:		thunar
Version:	4.18.10
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://thunar.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:    thunar.desktop
Source2:    thunar-root.desktop
BuildRequires: xfce4-dev-tools
BuildRequires:	git
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires: lib64pcre0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64gudev1.0-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64exif12-devel

BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel

BuildRequires: lib64xfce4panel2.0-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel
BuildRequires: lib64xfconf-devel
BuildRequires: lib64exo-devel

Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils

Requires:	shared-mime-info
Requires:	exo

%description
Thunar has been designed from the ground up to be fast and easy-to-use.
Its user interface is clean and intuitive, and does not include any confusing
or useless options. Thunar is fast and responsive with a good start up time
and directory load time. Thunar is accessible using Assistive Technologies and
is fully standards compliant.

Beside the basic file management features, Thunar includes additional features
that set it ahead of other file managers available for the Unix/Linux desktop
today. For example, Thunar includes a so called Bulk Renamer that allows users
to easily rename multiple files at once using criterions that can be specified
using the available renamer plugins. Probably the most interesting renamer here
is the Audio Tags renamer, which generates new file names based on the tags
present in audio files.

%package -n %{libname}
Summary:	Libraries for the thunar filemanager
Group:		Graphical desktop/XFCE
Requires:   %{name}

%description -n %{libname}
Libraries for the thunar filemanager.

%package -n %{devname}
Summary:	Development files for the thunar filemanager
Group:		Graphical desktop/XFCE
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	thunarx-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libthunarx-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:   %{name}

%description -n %{devname}
Development files for the thunar filemanager.

%prep
%setup -qn %{name}-%{version}
%autopatch -p1

%build
%xdt_autogen
%configure2_5x \
	--disable-static \
	--enable-dbus \
	--enable-notifications \
	--enable-exif \
	--enable-pcre \
	--enable-apr-plugin \
	--enable-tpa-plugin \
	--enable-uca-plugin \
	--enable-wallpaper-plugin \
	--enable-gio-unix \
	--enable-gudev \
    --disable-debug

%make_build

%install
rm -rf %buildroot
%make_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}/Thunar

#no systemd
rm -f %{buildroot}/usr/lib/systemd/user/thunar.service

# Remove unneeded files
find %{buildroot} -name "*.la" -delete
rm -rf %buildroot/%{_datadir}/gtk-doc

#desktop file
install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/thunar.desktop
install -m 0644 %SOURCE2 %{buildroot}/%{_datadir}/applications/thunar-root.desktop

%files
%{_bindir}
%{_datadir}
%{_libdir}/Thunar/
%{_libdir}/thunarx-%{api}/
%{_libdir}/xfce4/panel/plugins/lib%{name}-*.so
%{_sysconfdir}/xdg/Thunar/uca.xml

%files -n %{libname}
%{_libdir}/libthunarx-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Thunarx-%{gmajor}.typelib

%files -n %{devname}
%{_includedir}/thunarx-%{api}/
%{_libdir}/libthunarx-%{api}.so
%{_libdir}/pkgconfig/thunarx-%{api}.pc
%{_datadir}/gir-1.0/Thunarx-%{gmajor}.gir

%post
%update_menus

%postun
%clean_menus

%changelog
* Sun Dec 31 2023 tex - 4.18.10-1pclos2024
- new version

* Thu Dec 28 2023 tex - 4.18.9-1pclos2024
- new version

* Tue Sep 26 2023 tex - 4.18.7-1pclos2023
- new version

* Sat May 06 2023 tex - 4.18.6-1pclos2023
- new version

* Sat Apr 29 2023 tex - 4.18.5-1pclos2023
- new version

* Wed Feb 22 2023 tex - 4.18.4-1pclos2023
- new version

* Sat Jan 21 2023 tex - 4.18.3-1pclos2023
- new version

* Tue Jan 10 2023 tex - 4.18.2-1pclos2023
- new version

* Fri Dec 23 2022 tex - 4.18.1-1pclos2022
- new version

* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17.12-1pclos2022
- prepare for 4.18 final
